[SCM] Lisaac compiler branch, stable, updated. lisaac-0.12-476-ga7d7c0b

Mildred Ki'Lya silkensedai at online.fr
Sat Sep 5 22:26:36 UTC 2009


The following commit has been merged in the stable branch:
commit 06ec4b50eaed60086377ad9d0e8453e428d6b550
Author: Mildred Ki'Lya <silkensedai at online.fr>
Date:   Tue Aug 4 01:40:55 2009 +0200

    Updated example/compile.sh

diff --git a/example/compile.sh b/example/compile.sh
index 9cd11f6..e3d0453 100755
--- a/example/compile.sh
+++ b/example/compile.sh
@@ -1,3 +1,20 @@
 #!/bin/bash
 
-for i in `find -name "*.li"` ; do cat $i | grep -q "main" && echo Compile $i && ../src2/lisaac $i ; done
+lisaac=$1
+args=
+shift
+if [ -z "$lisaac" ]; then
+  lisaac=lisaac
+  args="-O -q"
+fi
+
+#for i in `find -name "*.li"` ; do cat $i | grep -q "main" && echo Compile $i && lisaac $i -O -q ; done
+
+find -name "*.li" | xargs grep -- '- main *<-' | cut -d: -f1 | while read li; do
+
+  echo "$lisaac $li $@ $args"
+  "$lisaac" "$li" "$@" $args
+  res=$?
+  [ $res != 0 ] && echo "Error $res"
+
+done

-- 
Lisaac compiler



More information about the Lisaac-commits mailing list